Package com.ocient.jdbc

# Class XGConnection.RemoteNode

java.lang.Object
com.ocient.jdbc.XGConnection.RemoteNode

Enclosing class:
  `XGConnection`

public static class XGConnection.RemoteNode extends Object
Represents a server with multiple network interfaces

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<XGConnection.RemoteEndpoint>`
`endpoints`

## Constructor Summary

Constructors
Constructor
Description
`RemoteNode(List<XGConnection.RemoteEndpoint> endpoints)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### endpoints

public final List<XGConnection.RemoteEndpoint> endpoints

## Constructor Details

### RemoteNode

public RemoteNode(List<XGConnection.RemoteEndpoint> endpoints)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`